TICKIT_SETCTL_INT(3)

NAME
tickit_setctl_int- set an integer toplevel instance control

SYNOPSIS
    #include <tickit.h>

    bool tickit_getctl_int(Tickit *tt, TickitCtl ctl, int *value);
    bool tickit_setctl_int(Tickit *tt, TickitCtl ctl, int value);

Link with -ltickit.

DESCRIPTION
tickit_setctl_int() performs a toplevel instance control operation, setting the value of a numeric instance control option. tickit_getctl_int() obtains the value of an instance control setting.

For the list of possible TickitCtl values and their meanings, see tickit(7).

RETURN VALUE
tickit_getctl_int() returns a true value if it recognised the requested control and managed to return the current value of it; false if not. tickit_setctl_int() returns a true value if it recognised the requested control and managed to request the instance to change it; false if not.

SEE ALSO
tickit(7)